//
//  ViewController.m
//  calc1
//
//  Created by Developer on 12/01/23.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle
- (void)viewDidLoad
{
    [super viewDidLoad];
    // 現在の値を初期化
    currentValue = 0;
    // 表示を初期化
    NumLabel.text = @"0";
    // 演算子を保持
    operation = -1;
    // 初期入力フラグを初期化
    startInput = YES;
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone) {
        return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
    } else {
        return YES;
    }
}

-(IBAction)numberButtonPressed:(id)sender
{
    UIButton *numButton = (UIButton *)sender;
    // 初期入力の場合
    if(startInput){
        // 最初に0が押された場合は何もしない
        if (numButton.tag == 0)return;
        // 0意外の場合は上書き表示
        NumLabel.text = [NSString stringWithFormat:@"%d",numButton.tag];
        // 初期入力フラグを初期以外に設定
        startInput=NO;
        // 二回目以降の入力
    }else{
        // 数字を連結して表示
        NumLabel.text = [NSString stringWithFormat:@"%@%d",NumLabel.text,numButton.
                         tag];
    }
}

-(IBAction)opButtonPressed:(id)sender
{
    UIButton *opButton = (UIButton *)sender;
    // 現在の値を保持
    currentValue = [NumLabel.text doubleValue];
    // 演算子を保持
    operation = opButton.tag;
    // 初期入力フラグを初期化
    startInput = YES;
}

-(IBAction)eqButtonPressed:(id)sender
{
    if(operation == 1){
        // 和
        currentValue += [NumLabel.text doubleValue];
    }else if(operation == 2){
        // 差
        currentValue -= [NumLabel.text doubleValue];
    }
    // 結果を表示
    NumLabel.text = [NSString stringWithFormat:@"%g",currentValue];
    // 演算子を保持
    operation = -1;
    // 初期入力フラグを初期化
    startInput = YES;
}

-(IBAction)clearButtonPressed:(id)sender
{
    // 現在の値を初期化
    currentValue = 0;
    // 表示を初期化
    NumLabel.text = @"0";
    // 演算子を保持
    operation = -1;
    // 初期入力フラグを初期化
    startInput = YES;
}

@end