//
//  ViewController.m
//  Timer1
//
//  Created by Developer on 12/01/23.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController
@synthesize TimerLabel;
BOOL timeflag = FALSE;

- (void)CountDownTimer:(NSTimer*)timer 
{
    // 表示秒数
    int DisplaySec = 0;
    // 残時間
    int RestTime = 0;
    if (timeflag){
        // 表示時間を秒数に変換
        DisplaySec = [[self.TimerLabel.text substringWithRange:NSMakeRange(0, 2)]
                      intValue] * 60
        + [[self.TimerLabel.text substringWithRange:NSMakeRange(3, 2)] intValue];
        if (DisplaySec > 0) {
            // 表示時間から１秒を引く
            RestTime = DisplaySec - 1;
            // ラベルに表示
            self.TimerLabel.text = [NSString stringWithFormat:@"%02d:%02d", RestTime / 60,
                                    RestTime % 60];
        }
        if (RestTime == 0) {
            // タイマーストップ
            timeflag = FALSE;
        }
    }
}

-(IBAction)minButtonDown:(id)sender
{
    NSString *TargetTimeString = [NSString stringWithString:self.TimerLabel.text];
    int TargetTime = 0;
    // タイマーストップ
    timeflag = FALSE;
    // 分を数値として取得
    TargetTime = [[TargetTimeString substringWithRange:NSMakeRange(0, 2)] intValue];
    // インクリメント
    TargetTime++;
    // 60分を超える場合
    if (TargetTime >= 60) {
        // 0分に戻す
        TargetTime = 0;
    }
    // ラベルに表示
    self.TimerLabel.text = [NSString stringWithFormat:@"%02d:%@", TargetTime,
                            [TargetTimeString substringWithRange:NSMakeRange(3, 2)]];
}

-(IBAction)secButtonDown:(id)sender
{
    NSString *TargetTimeString = [NSString stringWithString:self.TimerLabel.text];
    int TargetTime = 0;
    // タイマーストップ
    timeflag = FALSE;
    // 分を数値として取得
    TargetTime = [[TargetTimeString substringWithRange:NSMakeRange(3, 2)] intValue];
    // インクリメント
    TargetTime++;
    // 60秒を超える場合
    if (TargetTime >= 60) {
        // 0秒に戻す
        TargetTime = 0;
    }
    // ラベルに表示
    self.TimerLabel.text = [NSString stringWithFormat:@"%@:%02d", [TargetTimeString
                                                                   substringWithRange:NSMakeRange(0, 2)], TargetTime];
}

-(IBAction) startButtonDown:(id) sender
{
    timeflag = TRUE;
}

-(IBAction) resetButtonDown:(id) sender
{
    timeflag = FALSE;
    self.TimerLabel.text = @"00:00";
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle
- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    // CountDownTimerを１秒おきに呼び出す
    timer = [NSTimer scheduledTimerWithTimeInterval:1
                                             target:self
                                           selector:@selector(CountDownTimer:)
                                           userInfo:nil
                                            repeats:YES];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone) {
        return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
    } else {
        return YES;
    }
}

@end